{
        template: '${tmpl}',
                data: function() {
                        return {
                                username: null,
                                password: null,
                                flag:true,
                                time:null
                        }
                },
        mounted: function() {

        },
        created: function() {

        },
        methods: {
                getYanzhengma () {
                        if(this.flag){
                                this.flag = false;
                                this.time = 10;
                                /**
                                 * 
                                 * 
                                 *  */
                                let timer = setInterval(() => {
                                        console.log(this.time);
                                        if(this.time <= 1) {
                                                this.flag = true;
                                                this.time = null;
                                                clearInterval(timer);
                                                return ;
                                        }
                                        this.time--;
                                },1000)
                        }
                },
                goPhone () {
                        this.$root.pushx({
                                title: "",
                                name: "/phonelogin"
                        })
                }
        },
        vname: "gsb-userlogin"
}
